| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
GaudiConfig.ControlFlow.ControlFlowNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.ControlFlowNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.ControlFlowNode:
[legend]

## Public Member Functions
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Private Attributes
| _fullname

## Detailed Description

    Basic entry in the control flow graph.

Definition at line 8 of file ControlFlow.py.

## Member Function Documentation

def GaudiConfig.ControlFlow.ControlFlowNode.__and__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 13 of file ControlFlow.py.

13 def __and__(self, rhs):
14 if rhs is CFTrue:
15 return self
16 elif rhs is CFFalse:
17 return CFFalse
18 return AndNode(self, rhs)
19
GaudiConfig.ControlFlow.AndNode
Definition: ControlFlow.py:104
GaudiConfig.ControlFlow.ControlFlowNode.__and__
def __and__(self, rhs)
Definition: ControlFlow.py:13

def GaudiConfig.ControlFlow.ControlFlowNode.__eq__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 41 of file ControlFlow.py.

41 def __eq__(self, other):
42 return (repr(self) == repr(other))
43
GaudiConfig.ControlFlow.ControlFlowNode.__eq__
def __eq__(self, other)
Definition: ControlFlow.py:41

def GaudiConfig.ControlFlow.ControlFlowNode.__invert__ | ( |  | self | ) |

Definition at line 27 of file ControlFlow.py.

27 def __invert__(self):
28 return InvertNode(self)
29
GaudiConfig.ControlFlow.InvertNode
Definition: ControlFlow.py:138
GaudiConfig.ControlFlow.ControlFlowNode.__invert__
def __invert__(self)
Definition: ControlFlow.py:27

def GaudiConfig.ControlFlow.ControlFlowNode.__or__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 20 of file ControlFlow.py.

20 def __or__(self, rhs):
21 if rhs is CFFalse:
22 return self
23 elif rhs is CFTrue:
24 return CFTrue
25 return OrNode(self, rhs)
26
GaudiConfig.ControlFlow.OrNode
Definition: ControlFlow.py:121
GaudiConfig.ControlFlow.ControlFlowNode.__or__
def __or__(self, rhs)
Definition: ControlFlow.py:20

def GaudiConfig.ControlFlow.ControlFlowNode.__rshift__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 30 of file ControlFlow.py.

30 def __rshift__(self, rhs):
31 return OrderedNode(self, rhs)
32
GaudiConfig.ControlFlow.ControlFlowNode.__rshift__
def __rshift__(self, rhs)
Definition: ControlFlow.py:30
GaudiConfig.ControlFlow.OrderedNode
Definition: ControlFlow.py:87

def GaudiConfig.ControlFlow.ControlFlowNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 38 of file ControlFlow.py.

38 def _visitSubNodes(self, visitor):
39 pass
40
GaudiConfig.ControlFlow.ControlFlowNode._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:38

def GaudiConfig.ControlFlow.ControlFlowNode.getFullName | ( |  | self | ) |

    Allow use of an expression as an algorihtm/sequence in a Gaudi job
    configuration.

    Convert the expression in nested sequencers and return the full name of
    the top one.

Definition at line 44 of file ControlFlow.py.

44 def getFullName(self):
45 '''
46 Allow use of an expression as an algorihtm/sequence in a Gaudi job
47 configuration.
48
49 Convert the expression in nested sequencers and return the full name of
50 the top one.
51 '''
52 if not hasattr(self, '_fullname'):
53 from GaudiKernel.Configurable import makeSequences
54 self._fullname = makeSequences(self).getFullName()
55 return self._fullname
56
57
GaudiKernel.Configurable.makeSequences
def makeSequences(expression)
Definition: Configurable.py:1668
GaudiConfig.ControlFlow.ControlFlowNode._fullname
_fullname
Definition: ControlFlow.py:54
GaudiKernel.Configurable
Definition: Configurable.py:1
GaudiConfig.ControlFlow.ControlFlowNode.getFullName
def getFullName(self)
Definition: ControlFlow.py:44

def GaudiConfig.ControlFlow.ControlFlowNode.visitNode | ( |  | self,
|  |  | visitor
| ) |  |

Definition at line 33 of file ControlFlow.py.

33 def visitNode(self, visitor):
34 visitor.enter(self)
35 self._visitSubNodes(visitor)
36 visitor.leave(self)
37
GaudiConfig.ControlFlow.ControlFlowNode.visitNode
def visitNode(self, visitor)
Definition: ControlFlow.py:33
GaudiConfig.ControlFlow.ControlFlowNode._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:38

## Member Data Documentation

GaudiConfig.ControlFlow.ControlFlowNode._fullname
| private

Definition at line 54 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py